site_name: faust-prometheus
site_description: Prometheus exporter for faust apps
site_url: https://gitlab.com/rocshers/python/faust-prometheus
repo_name: rocshers/faust-prometheus
repo_url: https://gitlab.com/rocshers/python/faust-prometheus


theme:
  name: "material"
  palette:
    # Palette toggle for automatic mode
    - media: "(prefers-color-scheme)"
      toggle:
        icon: material/brightness-auto
        name: Switch to light mode
    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default 
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to system preference
  features:
    - navigation.instant
    - navigation.instant.progress
    # - navigation.tracking
    # - navigation.tabs
    # - navigation.tabs.sticky
    # - navigation.sections
    # - navigation.expand
    # - navigation.path


plugins:
- search
- mkdocstrings:
    handlers:
      python:
        load_external_modules: true
        import:
        - https://docs.python-requests.org/en/master/objects.inv
        options:
          extensions:
            - griffe_typingdoc
        #   show_root_heading: true
        #   show_if_no_docstring: true
        #   show_symbol_type_heading: true
        #   show_symbol_type_toc: true
        #   inherited_members: true
        #   members_order: source
        #   separate_signature: true
        #   unwrap_annotated: true
        #   filters: ["!^_"]
        #   merge_init_into_class: true
        #   signature_crossrefs: true
        #   preload_modules: []
markdown_extensions:
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
extra:
  social:
  - icon: fontawesome/brands/gitlab
    link: https://gitlab.com/rocshers/python/faust-prometheus
  - icon: fontawesome/brands/linkedin
    link: https://www.linkedin.com/in/rocshers